## GstMultiFilterManager GstMultiFilterManager — A filter manager that can be applied multiples times |

## Synopsis

    #include <gst/filters/gst-multi-filter-manager.h>

                        GstMultiFilterManager;
    GstFilterManager *  gst_multi_filter_manager_new        (void);

## Object Hierarchy

      GObject
       +----GstMultiFilterManager

## Implemented Interfaces

GstMultiFilterManager implements GstFilterManager.

## Signals

      "applied"                                        : Has Details
      "reverted"                                       : Has Details

## Description

This class, implementing the GstFilterManager interface can be applied multiple times on different pads.

See also GstFilterManager

## Details

### GstMultiFilterManager

    typedef struct _GstMultiFilterManager GstMultiFilterManager;

A filter manager that can be applied multiple times

### gst_multi_filter_manager_new ()

    GstFilterManager *  gst_multi_filter_manager_new        (void);

Creates a Multi filter manager. The Multi filter manager is a filter manager that can be applied on multiple pads on multiple bins. It will create a new GstSingleFilterManager each time `gst_filter_manager_apply()` is called and will make sure to sync up the filters between it and all the filter managers it creates

Returns : | A new GstFilterManager. [transfer full]

## Signal Details

### The `"applied"` signal

    void                user_function                      (GstMultiFilterManager  *filter_manager,
                                                            GstSingleFilterManager *single_filter_manager,
                                                            gpointer                user_data)                  : Has Details

This signal is sent when the filter manager gets applied on a pad. It is meant to provide you with the GstSingleFilterManager used internally.

### Note

It is important not to do anything on this filter manager apart from listening to signals.

`filter_manager` : | The GstMultiFilterManager
`single_filter_manager` : | The GstSingleFilterManager used
`user_data` : | user data set when the signal handler was connected.

### The `"reverted"` signal

    void                user_function                      (GstMultiFilterManager  *filter_manager,
                                                            GstSingleFilterManager *single_filter_manager,
                                                            gpointer                user_data)                  : Has Details

This signal is sent when the filter manager gets reverted from a pad and the associated GstSingleFilterManager is destroyed

`filter_manager` : | The GstMultiFilterManager
`single_filter_manager` : | The GstSingleFilterManager used
`user_data` : | user data set when the signal handler was connected.